Subject: Re: bug#38563: 27.0.50; Company popup renders with newlines (?) inheriting the bg properties of the character at next line's bol

From: Dmitry Gutov <[email-masked]>
Date: Sat, 21 Dec 2019 15:22:46 +0200

On 21.12.2019 9:53, Eli Zaretskii wrote:

> Yes, this looks like a good solution to me.

Thank you for verifying. Then I'm closing this report.

> In fact, I was about to
> ask you to make a similar (less elegant) change,

Like temporarily changing the face of the underlying character? Yeah, I 
would have paused at that idea.

> because I couldn't
> think of a way to resolve this in core: when a face explicitly asks to
> extend itself past EOL, we cannot in good faith refrain from doing so
> in some use cases.

Let's see if other third-party issues come up, then.